Search scrolling
When you need more than 10,000 records
We have a feature that allows you to "scroll" through more than 10,000 search results. These queries are more resource intensive on our system, but irregular use is fine.
Run the search like normal (
rows=10000), but pass an additional query parameter:scroll=trueThe results are returned as normal, however an additional
scroll_idwill be included in the resultsTo get another "page" of results, simple pass this
scroll_idto the "scroll endpoint", e.g./api/v1/tables/{workgroupID}/{table}/search/scroll?scroll_id=uDqlP2IicpTlMs2A1uSuXkNUi7kEvuS0Note that you do not need to pass the search parameters again, this is simply a continuation of the initial search's results
This will return another "page" of results and potentially another
scroll_id. Repeat the process until noscroll_idis returned and the "records" array is empty.Each
scroll_idis valid for 30 seconds, after which the search will expire.
Last updated
Was this helpful?